Package com.ads.mm.db.dao

# Class DBOperationHelper

java.lang.Object
com.ads.mm.db.dao.DBComponent
com.ads.mm.db.dao.DBOperationHelper

public class DBOperationHelper extends DBComponent
This class consists of methods extended to DBComponent to setMessage, getMessage, to check whether isSuccessful etc...

Author:
  AnalytiX DS

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBOperationHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBatchSerial()`
  Returns the batchSerial.
  `String`
  `getMessage()`
  Returns the message.
  `DataValidationStatus`
  `getValidationResults()`
  `boolean`
  `isSuccessful()`
  Returns the successful value as true or false.
  `void`
  `setBatchSerial(int batchSerial)`
  Sets the batchSerial as specified.
  `void`
  `setMessage(String message)`
  Sets the message as specified.
  `void`
  `setSuccessful(boolean successful)`
  Sets the successful as specified.
  `void`
  `setValidationFailedResults(DataValidationStatus validationFailedResults)`
  `void`
  `setValidationResult(String fieldName, DataValidationType validation, org.json.JSONObject validationMessage)`

  ### Methods inherited from class com.ads.mm.db.dao.DBComponent

  `getDataStewardName, isMarked, setDataStewardName, setMarked`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DBOperationHelper

    public DBOperationHelper()

- ## Method Details

  - ### isSuccessful

    public boolean isSuccessful()
    Returns the successful value as true or false.
    Returns:
      status - boolean

  - ### setSuccessful

    public void setSuccessful(boolean successful)
    Sets the successful as specified.
    Parameters:
      `successful` - boolean

  - ### getMessage

    public String getMessage()
    Returns the message.
    Returns:
      String

  - ### setMessage

    public void setMessage(String message)
    Sets the message as specified.
    Parameters:
      `message` - String

  - ### getBatchSerial

    public int getBatchSerial()
    Returns the batchSerial.
    Returns:
      int - batchSerial

  - ### setBatchSerial

    public void setBatchSerial(int batchSerial)
    Sets the batchSerial as specified.
    Parameters:
      `batchSerial` - int

  - ### getValidationResults

    public DataValidationStatus getValidationResults()

  - ### setValidationFailedResults

    public void setValidationFailedResults(DataValidationStatus validationFailedResults)

  - ### setValidationResult

    public void setValidationResult(String fieldName, DataValidationType validation, org.json.JSONObject validationMessage)